# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# NETPoint Struct Reference

Simple point class for NET classes. More...

`#include <netwm_def.h>`

List of all members.

## Public Member Functions

| NETPoint ()
| Constructor to initialize this point to 0,0.

## Public Attributes

int | x
| x coordinate.
int | y
| y coordinate

## Detailed Description

Simple point class for NET classes.

This class is a convenience class defining a point x, y. The existence of this class is to keep the implementation from being dependant on a separate framework/library.

NETPoint is only used by the NET API. Usually QPoint is the appropriate class for representing a point.

Author:
  Bradley T. Hughes <bhughes@trolltech.com>

Definition at line 42 of file netwm_def.h.

## Constructor & Destructor Documentation

NETPoint::NETPoint | ( |  | ) | `[inline]`

| Constructor to initialize this point to 0,0. Definition at line 46 of file netwm_def.h. References x, and y.

## Member Data Documentation

int NETPoint::x

| x coordinate. Definition at line 52 of file netwm_def.h. Referenced by KWin::info(), and NETPoint().

int NETPoint::y

| y coordinate Definition at line 52 of file netwm_def.h. Referenced by KWin::info(), and NETPoint().

The documentation for this struct was generated from the following file:

- netwm_def.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:50:09 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001